You need to install the Python development files. I believe this will do it:

sudo apt-get install python-dev